###
# app configuration
# https://docs.pylonsproject.org/projects/pyramid/en/latest/narr/environment.html
###

[app:main]
use = egg:tcs_site

pyramid.reload_templates = false
pyramid.debug_authorization = false
pyramid.debug_notfound = false
pyramid.debug_routematch = false
pyramid.default_locale_name = en

sqlalchemy.url = sqlite:///%(here)s/tcs_site.sqlite
# images location
images_dir = /home/debian/pyramid/tcs_site/tcs_site/static/img/

# reCaptcha keys
site_key = 6LeDvVUgAAAAAOqD_-h93kd5aW8CmpeVvKYu-m0p
secret_key = 6LeDvVUgAAAAAGASZXCmcmhh-KtBWTZjXpLpKdNt

# Mailer configuration
# mail.host = localhost
# mail.port = 25
admin_email = contact@meditation-sunyata.paris
mail.host = pro1.mail.ovh.net
mail.port = 587
mail.tls  = True
mail.username = contact@meditation-sunyata.paris  
mail.password = 88.tanhkhong

[pshell]
setup = tcs_site.pshell.setup

###
# wsgi server configuration
###

[server:main]
use = egg:waitress#main
listen = *:9580
url_scheme = https

###
# logging configuration
# https://docs.pylonsproject.org/projects/pyramid/en/latest/narr/logging.html
###

[loggers]
keys = root, tcs_site, sqlalchemy

[handlers]
keys = console

[formatters]
keys = generic

[logger_root]
level = WARN
handlers = console

[logger_tcs_site]
level = WARN
handlers =
qualname = tcs_site

[logger_sqlalchemy]
level = WARN
handlers =
qualname = sqlalchemy.engine
# "level = INFO" logs SQL queries.
# "level = DEBUG" logs SQL queries and results.
# "level = WARN" logs neither.  (Recommended for production systems.)

[handler_console]
class = StreamHandler
args = (sys.stderr,)
level = NOTSET
formatter = generic

[formatter_generic]
format = %(asctime)s %(levelname)-5.5s [%(name)s:%(lineno)s][%(threadName)s] %(message)s
